using MWS.Data.InterFace;
using MWS.Data.Manager;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace MWS.Domain.View.SystemManage
{
    /// <summary>
    /// CloseWindow.xaml 的交互逻辑
    /// </summary>
    public partial class CloseWindow : Window
    {
        public bool isMinized;
        public CloseWindow()
        {
            InitializeComponent();
            isMinized = false;
        }
        private void Window_Loaded(object sender, RoutedEventArgs e)
        {

        }

        private void close_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }

        private void tbClose_Click(object sender, RoutedEventArgs e)
        {
            IUserLog userLog = new UserLogManager();
            int id = userLog.GetId();
            userLog.UpdateOutTime(id);
            Process.GetCurrentProcess().Kill();
        }

        private void tbMin_Click(object sender, RoutedEventArgs e)
        {
            isMinized = true;
            this.Close();
        }

    }
}
